## golang-github-ema-qdisc 0.0~git20200603.62d0308

=== Makefile ===
build:
	go fmt
	go build
	go vet
	staticcheck
	#golint -set_exit_status
	go test -v -race -tags=integration

cover:
	go test -coverprofile=coverage.out
	go tool cover -html=coverage.out

=== debian/changelog ===
golang-github-ema-qdisc (0.0~git20200603.62d0308-2) unstable; urgency=medium

  * No-change upload to build on buildd.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 14 Jan 2022 21:55:02 +0100

golang-github-ema-qdisc (0.0~git20200603.62d0308-1) unstable; urgency=medium

  * Initial release (Closes: #1003533)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 11 Jan 2022 14:57:25 +0100

=== debian/control ===
Source: golang-github-ema-qdisc
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-mdlayher-netlink-dev,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ema-qdisc
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ema-qdisc.git
Homepage: https://github.com/ema/qdisc
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/ema/qdisc

Package: golang-github-ema-qdisc-dev
Architecture: all
Depends: golang-github-mdlayher-netlink-dev, ${misc:Depends}
Description: get queuing discipline information via netlink (library)
 The package qdisc allows getting queuing discipline information via netlink,
 similarly to what "tc -s qdisc show" does.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/ema/qdisc.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-ema-qdisc-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/ema/qdisc/tags .*/v?(\d\S*)\.tar\.gz debian
